#include <iostream>

int main() {
    long long m, n, k;
    std::cin >> m >> n >> k;

    // Округление вверх деления m на k и n на k
    long long count_m = (m + k - 1) / k;
    long long count_n = (n + k - 1) / k;

    // Вычисление общего количества фонарей
    long long total_lanterns = count_m * count_n;

    std::cout << total_lanterns << std::endl;

    return 0;
}
